Interface HdfsEndpointBuilderFactory.HdfsBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- HdfsEndpointBuilderFactory
public static interface HdfsEndpointBuilderFactory.HdfsBuilders
-
Method Summary
Modifier and TypeMethodDescriptionhdfs()HDFS (camel-hdfs) Read and write from/to an HDFS filesystem using Hadoop 2.x.HDFS (camel-hdfs) Read and write from/to an HDFS filesystem using Hadoop 2.x.HDFS (camel-hdfs) Read and write from/to an HDFS filesystem using Hadoop 2.x.
-
Method Details
-
hdfs
HDFS (camel-hdfs) Read and write from/to an HDFS filesystem using Hadoop 2.x. Category: bigdata,file Since: 2.14 Maven coordinates: org.apache.camel:camel-hdfs- Returns:
- the dsl builder for the headers' name.
-
hdfs
HDFS (camel-hdfs) Read and write from/to an HDFS filesystem using Hadoop 2.x. Category: bigdata,file Since: 2.14 Maven coordinates: org.apache.camel:camel-hdfs Syntax:hdfs:hostName:port/pathPath parameter: hostName (required) HDFS host to use Path parameter: port HDFS port to use Default value: 8020 Path parameter: path (required) The directory path to use- Parameters:
path- hostName:port/path- Returns:
- the dsl builder
-
hdfs
HDFS (camel-hdfs) Read and write from/to an HDFS filesystem using Hadoop 2.x. Category: bigdata,file Since: 2.14 Maven coordinates: org.apache.camel:camel-hdfs Syntax:hdfs:hostName:port/pathPath parameter: hostName (required) HDFS host to use Path parameter: port HDFS port to use Default value: 8020 Path parameter: path (required) The directory path to use- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- hostName:port/path- Returns:
- the dsl builder
-